NETIF_SET_REAL_NUM_R(9)

NAME
netif_set_real_num_rx_queues - set actual number of RX queues used

SYNOPSIS

int netif_set_real_num_rx_queues(struct net_device * dev, unsigned int rxq);

ARGUMENTS

dev
    Network device

rxq
    Actual number of RX queues

DESCRIPTION

This must be called either with the rtnl_lock held or before registration of the net device. Returns 0 on success, or a negative error code. If called before registration, it always succeeds.

COPYRIGHT